Page MenuHomePhabricator

Deprecate Skin::getSearchLink
Closed, ResolvedPublic

Description

We should be moving away from this.

In doing so we will also need to deprecate the searchaction SkinTemplate key, by checking the parameter in SkinTemplate::text and throwing a warning when searchaction is provided as a parameter.

https://codesearch.wmcloud.org/search/?q=searchaction&i=nope&files=&repos=

There is only one usage in production in CologneBlue - that can use SpecialPage::getTitleFor( 'Search' )->getLocalURL(); directly.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2020, 10:17 PM

Change 621110 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/CologneBlue@master] Replace usage of Skin::getSearchLink

https://gerrit.wikimedia.org/r/621110

Change 621111 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/skins/Nostalgia@master] Replace usage of Skin::getSearchLink

https://gerrit.wikimedia.org/r/621111

Change 621112 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/core@master] Deprecate Skin::getSearchLink

https://gerrit.wikimedia.org/r/621112

Change 621110 merged by jenkins-bot:
[mediawiki/skins/CologneBlue@master] Replace usage of Skin::getSearchLink

https://gerrit.wikimedia.org/r/621110

Change 621111 merged by jenkins-bot:
[mediawiki/skins/Nostalgia@master] Replace usage of Skin::getSearchLink

https://gerrit.wikimedia.org/r/621111

Ammarpad claimed this task.Aug 20 2020, 9:30 AM

Change 621112 merged by jenkins-bot:
[mediawiki/core@master] Deprecate Skin::getSearchLink

https://gerrit.wikimedia.org/r/621112

Ammarpad closed this task as Resolved.Aug 27 2020, 7:22 AM